Skip to main content
GET
List employer statutory withholding line items

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pay_stub_id
string

Only return line items on the specified Pay Stub.

payroll_id
string

Only return line items on Pay Stubs on the specified Payroll.

payroll_status
Available options:
approved,
draft,
failed,
paid,
partially_paid,
processing
payroll_type
Available options:
correction,
historical,
off_cycle,
regular
payroll_period_start
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_start=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_period_start[gte]=2024-01-01&payroll_period_start[lt]=2024-12-31
payroll_period_end
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_end=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_period_end[gte]=2024-01-01&payroll_period_end[lt]=2024-12-31
payroll_pay_date
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_pay_date=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_pay_date[gte]=2024-01-01&payroll_pay_date[lt]=2024-12-31
pay_schedule_id
string

Only return line items on Pay Stubs on the specified Pay Schedule.

work_assignment_id
string

Only return line items on Pay Stubs for the specified Work Assignment.

employee_id
string

Only return line items on pay stubs for the specified Employee.

contractor_id
string

Only return line items on pay stubs for the specified Contractor.

business_entity_id
string

Only return line items on Pay Stubs under the specified Business Entity.

has_business_preset
boolean
business_preset_id
string
include_types

Only return line items with the specified types.

Available options:
cpp,
cpp_2,
eht,
ei,
qpip,
qpp,
qpp_2,
wcb
exclude_types

Only return line items without the specified types.

Available options:
cpp,
cpp_2,
eht,
ei,
qpip,
qpp,
qpp_2,
wcb
external_ref
string
expand
enum<string>[]
Available options:
business_preset,
custom_expense_accounting_code,
custom_liability_accounting_code,
expense_accounting_code,
liability_accounting_code,
managed_expense_accounting_code,
managed_liability_accounting_code,
managed_tag_assignment,
pay_stub,
remittance_account,
source_adjustment,
tag_assignment,
tag_assignment_amounts

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]